## DmapAvConnection

DmapAvConnection — A DAAP connection.

## Functions

DmapAvConnection * | dmap_av_connection_new ()

## Object Hierarchy

        GObject
        ╰── DmapConnection
            ╰── DmapAvConnection

## Description

DmapAvConnection objects encapsulate a DAAP connection.

## Functions

### dmap_av_connection_new ()

    DmapAvConnection *
    dmap_av_connection_new (const char *name,
                            const char *host,
                            guint port,
                            DmapDb *db,
                            DmapRecordFactory *factory);

Create a new DAAP connection.

#### Parameters

name | The name of the share to connect to. |
host | The host of the share to connect to. |
port | The port of the share to connect to. |
db | The db that will receive the records found in the share. | [transfer full]
factory | A factory to create records. | [transfer full]

#### Returns

a pointer to a DmapAvConnection.